import java.util.Observable;

public class Model extends Observable {

	private float a;
	private float b;
	private float result;
	
	/**
	 * Constructor
	 */
	
	public Model() {
		a = 0;
		b = 0;
		result = 0;
	}

	/**
	 * Calculates a result based on two values (a, b) and a mathematical method and notifies observers.
	 * @param a First value.
	 * @param b Second value. 
	 * @param method Mathematical method (e.g. +).
	 */
	public void calc(float a, float b, String method)
	{
		this.a = a;
		this.b = b;
		
		if (method.equals("+"))
		{
			result = this.a + this.b;
		}
		else if (method.equals("-"))
		{
			result = this.a - this.b;
		}
		else if (method.equals("/"))
		{
			result = this.a / this.b;
		}
		else if (method.equals("*"))
		{
			result = this.a * this.b;	
		}
		setChanged();
		notifyObservers();
	}
	
	/**
	 *	Deletes all values and notifies observers. 
	 */
	
	public void clear()
	{
		result = 0;
		a = 0;
		b = 0;
		setChanged();
		notifyObservers();
	}

	/**
	 * Returns b or "the second value".
	 * @return Second value.
	 */
	public float getB() {
		return b;
	}

	/**
	 * Returns a or "the first value".
	 * @return First value.
	 */
	public float getA() {
		return a;
	}
	/**
	 * Returns the actual result.
	 * @return Last calculated result.
	 */
	public float getResult()
	{
		return (result);
	}
}
